LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 11-03-2012, 12:21 PM   #1
bogzab
Member
 
Registered: Mar 2006
Location: Dyserth, Wales
Distribution: Slackware 13.37, Slackware 14.0
Posts: 270

Rep: Reputation: 31
Clementine Slackbuild


I am trying to build Clementine from the slackbuilds.org slackbuild. I am getting a problem from CMake. Terminal output looks like this:

Code:
The following components will be built:
   D-Bus support
   Devices: Audio CD support
   Devices: DeviceKit backend
   Devices: GIO device backend
   Devices: MTP support
   Devices: iPod classic support
   Last.fm support
   Moodbar support
   Visualisations
   Wiimote support

The following components WILL NOT be built:
   Crash reporting (disabled in CMake config)
   Devices: iPod Touch, iPhone, iPad support (missing libimobiledevice, libusbmuxd)
   Gnome sound menu integration (missing indicate-qt)
   Google Drive support (missing Google sparsehash, Taglib 1.8 beta)
   Sparkle integration (missing Mac OS X, Sparkle)
   Spotify support: blob downloader (disabled in CMake config)
   Spotify support: core code (missing protobuf)
   Spotify support: non-GPL binary helper (missing protobuf, libspotify, Spotify support: core code)

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
PROTOBUF_LIBRARY (ADVANCED)
    linked by target "libclementine-common" in directory /tmp/SBo/clementine-20120913_5ddabb4/ext/libclementine-common

-- Configuring incomplete, errors occurred!
This appears to be different from previous problems reported at http://www.linuxquestions.org/questi...5D-4175430662]
and at
http://www.linuxquestions.org/questi...ne-4175412584].

I don't think I want the protobuf code because I don't want spotify support, but CMake seems to think this is a problem.

Anybody know how to fix this ?

Thanks
 
Old 11-03-2012, 01:23 PM   #2
hotchili
Member
 
Registered: Sep 2009
Location: Germany
Distribution: slackware64-current
Posts: 72

Rep: Reputation: 18
This page: http://slackbuilds.org/repository/14...io/clementine/
Says protobuf is required, maybe something else inside clementine uses it.

http://slackbuilds.org/repository/14.0/misc/protobuf/
 
Old 11-03-2012, 03:23 PM   #3
david63025
LQ Newbie
 
Registered: Apr 2009
Location: Missouri USA
Distribution: Slackware 14.0 64bit
Posts: 15

Rep: Reputation: 4
I successfully built the Clementine package from SBo and needed protobuf, qjson, and chromaprint. My notes are vague - I don't know why chromaprint is needed.

David
 
Old 11-04-2012, 11:42 AM   #4
Bazzaah
Member
 
Registered: Mar 2007
Distribution: Slackware64-current, Slackware64 14
Posts: 327

Rep: Reputation: 49
I did this yesterday - install the other requirements that the build needs and you should be OK.

I think it needs an additional python module too but the build works fine.

You can build/install the dependencies through sbopkg, download the source and compile if you want a newer version than the Slackbuild provides.

Last edited by Bazzaah; 11-04-2012 at 12:03 PM.
 
Old 11-05-2012, 04:15 AM   #5
bogzab
Member
 
Registered: Mar 2006
Location: Dyserth, Wales
Distribution: Slackware 13.37, Slackware 14.0
Posts: 270

Original Poster
Rep: Reputation: 31
Thanks to all who responded. Solved. COnfirmed that as long as you build and install the protobuf package first, the Clementine Slackbuild works fine.
 
Old 11-22-2012, 07:01 PM   #6
federico7979
LQ Newbie
 
Registered: Nov 2012
Location: uruguay
Distribution: slackware
Posts: 4

Rep: Reputation: Disabled
i had the same problem and reading the dependencies clementine required at slackbuilds.org i could install it.

the thing is i cannot play mp3s cause a dialog appears claiming "there's a gstreamer missing complement" (by the way, i don't know if that is the correct translation)

(i'm at slackware 14.0)
 
Old 11-22-2012, 08:10 PM   #7
federico7979
LQ Newbie
 
Registered: Nov 2012
Location: uruguay
Distribution: slackware
Posts: 4

Rep: Reputation: Disabled
well, it was my mistake of course. I read the requisites from compiling clementine but i forgot to compile this

"gst-plugins-ugly (for mp3 support)"

i left it in alone in a forgotten tty ... i totally miss that.
Now works perfectly, as it was suppposed to.

cheers.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to get Clementine working with lirc alex_65bg Linux - Newbie 4 02-05-2014 11:21 AM
clementine [ SlackBuild] inman Slackware 8 10-05-2012 12:48 PM
[SOLVED] Compiling Clementine Jdogzz Slackware 6 06-22-2012 02:46 AM
[SOLVED] Clementine can't play .m4p files asipper Linux - Software 0 11-21-2011 06:22 PM
[SOLVED] Problem installing the Clementine slackbuild Cultist Slackware 8 01-02-2011 12:44 PM


All times are GMT -5. The time now is 02:38 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration